import { database, GuildSetting } from "../data";

export async function getGuildSetting(guildID: string): Promise<GuildSetting> {
    let guildSetting = await database.getRepository(GuildSetting).findOne({
        where: {
            id: guildID
        }
    });

    if (!guildSetting) {
        guildSetting = new GuildSetting();
        guildSetting.id = guildID;
        guildSetting.notificationChannelID = null;
        guildSetting.preserveDataOnGuildLeave = false;
    }

    return guildSetting;
}